* {
  min-height: 0vw;
  /* Safari clamp問題解法 */
}

/*====================================
# 主色調
==================================== */

:root {
  --main-color: #F5F5F5;
  --main-color2: #69e07d;
  --color4: #9ed453;
  --color5: #b7f7b1;
  --color6: #005434;
  --lightY: #ffef5a;
  --brown: #55352c;
  scroll-padding-top: 4rem;
  /* 錨點位移 */
}

/*====================================
# 共同設定
==================================== */

html {
  scroll-behavior: smooth;
}

body {
  font-size: 17px;
  line-height: 1.8;
  color: #25180e;
  font-weight: 400;
  font-family: 'Roboto', 'Noto Sans TC', Arial, '微軟正黑體', '新細明體', Helvetica, sans-serif;
}

section {
  padding: 3rem 1.5rem 3rem;
}

@media (max-width:767px) {
  section {
    padding: 2rem 1rem 2rem;
  }
}

::selection {
  background-color: #bbf1ff;
}

a {
  color: rgb(0, 129, 250);
  transition: all .2s ease;
}
.a-link{
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}
a:hover {
  text-decoration: none;
  color: #0649db;
}

h1 {
  font-size: 40px;
}

h3 {
  font-size: 32px;
}

h5 {
  font-size: 24px;
}

p {
  font-size: 18px;
  line-height: 2.3rem;
}

.main-title,
.main-title-w {
  padding-bottom: 30px;
  text-align: center;
}


.main-title h2,
.main-title-w h2 {
  text-align: center;
  color: #F1551E;
  font-size: 38px;
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 20px;
  padding-bottom: 15px;
  position: relative;
  display: inline-block;
}

.main-title-w h2 {
  color: #fff;
}

.main-title h2::after,
.main-title-w h2::after {
  content: '';
  position: absolute;
  bottom: 0;
  right: 50%;
  left: 50%;
  z-index: -1;
  content: url(../img/dot.png);
  width: 100px;
  transform: translateX(-50%);
}

.main-title-w h2::after {
  content: url(../img/dot-2.png);
}

@media (max-width:767px) {

  .main-title,
  .main-title-w {
    padding-bottom: 0.3rem;
  }
}

.btn-title {
  text-align: center;
}

.btn-title a {
  display: inline-block;
  margin: 4rem auto;
  color: #fff;
  padding: 15px 40px;
  border-radius: 100px;
  font-size: 24px;
  background-color: var(--color6);
  border: 1px solid var(--color6);
  transition: all .2s cubic-bezier(0, 3, 0.8, 1.5);
}

.btn-title a:hover {
  transform: scale(1.05);
  background-color: var(--lightY);
  border: 1px solid var(--color6);
  color: var(--color6);
}



/*====================================
# sec-top
==================================== */
.sec-top,
.sec-info {
  background-color: var(--main-color);
}

.sec-top::before,
.sec-top::after {
  position: absolute;
  z-index: -1;
}

.sec-top h1,
.sec-top h3 {
  font-weight: 600;
  text-align: center;
  letter-spacing: 2px;
  color: var(--brown);
}

.sec-top h1 span {
  color: var(--main-color2);
  font-size: 55px;
}

.sec-top h3 {
  margin-bottom: 60px;
  color: var(--main-color2);
}

.sec-top .box h4 {
  font-size: 28px;
  background-color: var(--lightY);
  padding: 5px 10px;
  margin: 0 10px 25px;
}

.sec-top p {
  font-size: 21px;
  line-height: 2;
  letter-spacing: 1px;
}

@media (max-width:768px) {
  .sec-top h1 {
    font-size: 33px;
  }

  .sec-top h1 span {
    font-size: 45px;
  }

  .sec-top h3 {
    font-size: 24px;
    margin-bottom: 30px;
  }

  .sec-top p {
    font-size: 18px;
  }
}

@media (max-width:550px) {
  .sec-top h1 span {
    display: block;
  }
}

/*====================================
# sec-info
==================================== */
.sec-info .line {
  border-right: 1px dashed var(--color6);
}

.sec-info h3 {
  text-align: center;
  padding: 40px 0 25px;
  font-size: 30px;
  color: var(--color6);
}

.sec-info h4 {
  display: inline-block;
  padding: 5px 10px;
  border: 1px solid var(--main-color2);
  background-color: var(--lightY);
  color: var(--color6);
  border-radius: 30px;
  margin-right: 10px;
  font-size: 22px;
}

.sec-info .itinerary,
.sec-info .traffic {
  background-color: var(--lightY);
  padding: 30px 20px 20px;
  border-radius: 20px;
}

.itinerary h4 {
  background-color: #fff;
}

.sec-info .traffic {
  background-color: #409e58;
  color: #fff;
}
.sec-info .traffic a {
  color: #c2ff8d;
}
.sec-info .traffic a:hover {
  color: #9dff48;
}
.sec-info .traffic h4 {
  display: block;
  text-align: center;
}
.sec-info .traffic h5{
  text-align: center;
}
.sec-info .traffic span {
  font-weight: normal;
  font-size: 20px;
  padding: 0 5px 0;
  color: var(--lightY);
}
.sec-info .traffic p:first-of-type{
  border-bottom: 1px dashed #fff;
  padding-bottom: 10px;
}
@media (max-width:768px) {
  .sec-info .line {
    border-right: none;
  }

  .box-area {
    background-color: #fff;
    border-radius: 20px;
    padding: 20px;
  }
}
/*====================================
# sec-date
==================================== */
.sec-date{
    background: radial-gradient(circle farthest-side at center,#e7f5eb,var(--main-color));
}
.sec-date .box {
  position: relative;
}

.sec-date .box-inner::before {
  content: '';
  position: absolute;
  inset: 0 100px;
  border-radius: 20px;
  background: url(../img/Pic.jpg) no-repeat center center fixed;
  background-size: cover;
  overflow: hidden;
  background-color: var(--main-color);
  box-shadow: inset 0 0 8px #fff;
}

.date-box {
  background-color: #ffffff99;
  box-shadow: inset 0 0 5px #ffffff, 0 0 10px #00000022;
  backdrop-filter: blur(15px);
  margin: 40px;
  padding: 40px;
  text-align: center;
  border-radius: 20px;
  transition: all .3s ease-in-out;
}

.date-box h2 {
  font-size: 40px;
  font-weight: 600;
  color: var(--color6);
}

.date-box:hover {
  transform: scale(1.02);
}

@media (max-width:996px) {
  .sec-date .box-inner::before {
    content: none;
  }
  .sec-date{
    background: url(../img/Pic.jpg) no-repeat center center fixed;
    background-size: cover;
  }
}
/*====================================
# sec-light
==================================== */
.sec-light ol {
  counter-reset: myOrderedListItemsCounter;
}

.sec-light ol li {
  padding: 12px;
  margin: 20px;
  position: relative;
  list-style-type: none;
  background: linear-gradient(-45deg, #aeffed33 0%, #bcfdff33 51.46%, #aeffe433 100%);
  border-radius: 15px;
}

.sec-light ol li p {
  background-color: #fff;
  border-radius: 28px;
  border-radius: 10px;
  padding: 8px 10px 8px 30px;
  box-shadow: 0px 0px 14px #5438e933;
  margin-bottom: 0;
}

.sec-light ol li span {
  display: inline-block;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: -15px;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  background-color: var(--main-color2);
  line-height: 45px;
  color: var(--brown);
  font-size: 28px;
  font-weight: bold;
  text-align: center;
  box-shadow: -5px 0px 8px 0px #aeffed33;
}

.sec-light h5 {
  text-align: center;
  font-size: 18px;
  line-height: 1.8;
  letter-spacing: 1px;
  font-weight: normal;
}

@media (max-width:768px) {
  .sec-light ol {
    padding: 0;
  }

  .sec-light ol li p {
    padding: 40px 10px 8px;
  }

  .sec-light ol li span {
    top: -10px;
    transform: translateX(-50%);
    left: 50%;
  }
}

/*====================================
# sec-gift
==================================== */
.sec-gift {
  background-color: var(--color4);
}

.gift-box {
  position: relative;
  text-align: center;
  z-index: 99;
}

.gift-box p {
  color: var(--color6);
  font-weight: 700;
  background-color: var(--lightY);
  padding: 10px 20px;
  font-size: 24px;
  border-radius: 50px;
  text-align: center;
  letter-spacing: 3px;
  display: inline-block;
  transform: translateY(30px);
  margin: 0;
}

.sec-gift span {
  display: inline-block;
  margin: 10px 0 50px;
  color: var(--brown);
}

.gift-img img {
  width: 100%;
}

@media (max-width:1200px) {
  .gift-box p {
    transform: translateY(26px);
    padding: 5px 20px;
    font-size: 20px;
  }

  .sec-gift span {
    font-size: 17px;
  }
}

@media (max-width:991px) {
  .gift-box p {
    transform: translateY(22px);
    font-size: 18px;
    padding: 3px 10px;
  }
}

@media (max-width:767px) {
  .gift-box p {
    transform: translateY(26px);
    padding: 5px 20px;
    font-size: 20px;
  }
}

@media (max-width:575px) {
  .gift-box p {
    transform: translateY(30px);
    font-size: 24px;
    padding: 10px 20px;
  }
}

/*====================================
# sec-partners
==================================== */
.partner-area {
  padding: 10px 0;
}

.level-title {
  display: block;
  font-size: 20px;
  color: var(--brown);
  margin: 1rem 0;
  letter-spacing: 0.3rem;
}

.logo-img {
  position: relative;
  display: block;
  padding: 0 24px;
}

.logo-img img {
  transition: all .3s ease-in-out;
}

.logo-img:hover img {
  transform: scale(1.02);
}

/*====================================
# sec-notice
==================================== */
.sec-notice {
  background-color: #eee;
}


/*--------------------------------------------------------------
# Back to top button
--------------------------------------------------------------*/
#gotopBtn {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Fixed/sticky position */
  bottom: 20px;
  /* Place the button at the bottom of the page */
  right: 30px;
  /* Place the button 30px from the right */
  z-index: 99;
  /* Make sure it does not overlap */
  /* border: none; */
  /* Remove borders */
  outline: none;
  /* Remove outline */
  color: var(--brown);
  cursor: pointer;
  background-color: #ffffff00;
  /* Add a mouse pointer on hover */
  padding: 12px 20px;
  border-radius: 500px;
  font-size: 18px;
  border: 2px solid var(--brown);
  transition: transform .2s cubic-bezier(0, 3, 0.8, 1.5);
}

#gotopBtn:hover {
  transform: scale(1.05);
  background-color: var(--brown);
  color: #fff;
}